[ARVADOS] updated: 2.1.0-2454-g5331fde2a
Git user
git at public.arvados.org
Fri May 13 17:23:14 UTC 2022
Summary of changes:
build/run-tests.sh | 6 ++++++
lib/crunchrun/executor_test.go | 4 ++++
2 files changed, 10 insertions(+)
via 5331fde2afc6224b10e828ad09f3ffe05f7f4e5e (commit)
via 3ad49eb34f3c7c30588af3cab6a3c9a593dcd5ad (commit)
from e30b7ec3040cac89a2e134fddf8cb47c1905ea82 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 5331fde2afc6224b10e828ad09f3ffe05f7f4e5e
Author: Tom Clegg <tom at curii.com>
Date: Fri May 13 13:22:36 2022 -0400
19099: Show lsns debug info if test fails.
Arvados-DCO-1.1-Signed-off-by: Tom Clegg <tom at curii.com>
diff --git a/lib/crunchrun/executor_test.go b/lib/crunchrun/executor_test.go
index c516a8b98..dcb4265c6 100644
--- a/lib/crunchrun/executor_test.go
+++ b/lib/crunchrun/executor_test.go
@@ -12,6 +12,7 @@ import (
"net"
"net/http"
"os"
+ "os/exec"
"strings"
"time"
@@ -200,6 +201,9 @@ func (s *executorSuite) TestIPAddress(c *C) {
resp, err := http.DefaultClient.Do(req)
c.Assert(err, IsNil)
c.Check(resp.StatusCode, Equals, http.StatusTeapot)
+ } else {
+ lsns, err := exec.Command("lsns").CombinedOutput()
+ c.Logf("lsns (err == %v):\n%s", err, lsns)
}
s.executor.Stop()
commit 3ad49eb34f3c7c30588af3cab6a3c9a593dcd5ad
Author: Tom Clegg <tom at curii.com>
Date: Fri May 13 13:08:59 2022 -0400
19099: Log singularity and docker versions in test runs.
Arvados-DCO-1.1-Signed-off-by: Tom Clegg <tom at curii.com>
diff --git a/build/run-tests.sh b/build/run-tests.sh
index 0f996f77e..ae368585e 100755
--- a/build/run-tests.sh
+++ b/build/run-tests.sh
@@ -270,6 +270,12 @@ sanity_checks() {
dot -V || fatal "No graphviz. Try: apt-get install graphviz"
echo -n 'geckodriver: '
geckodriver --version | grep ^geckodriver || echo "No geckodriver. Try: wget -O- https://github.com/mozilla/geckodriver/releases/download/v0.23.0/geckodriver-v0.23.0-linux64.tar.gz | sudo tar -C /usr/local/bin -xzf - geckodriver"
+ echo -n 'singularity: '
+ singularity --version || fatal "No singularity. Try: arvados-server install"
+ echo -n 'docker client: '
+ docker --version || fatal "No docker client. Try: arvados-server install"
+ echo -n 'docker server: '
+ docker info --format='{{.ServerVersion}}' || fatal "No docker server. Try: arvados-server install"
if [[ "$NEED_SDK_R" = true ]]; then
# R SDK stuff
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list